Get secret tree
curl --request GET \
--url https://api.instacloud.com/projects/{projectId}/secrets/tree \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.instacloud.com/projects/{projectId}/secrets/tree"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.instacloud.com/projects/{projectId}/secrets/tree', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"projectWide": [
"<string>"
],
"branches": [
{
"name": "<string>",
"isDefault": true,
"services": [
{
"type": "<string>",
"name": "<string>",
"secrets": [
"<string>"
]
}
],
"unbound": [
"<string>"
]
}
]
}{
"status": "approval_required",
"approvalId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"action": "<string>",
"actions": [
"<string>"
],
"message": "<string>",
"url": "<string>",
"nextActions": [
{
"op": "<string>",
"reason": "<string>",
"args": {},
"gated": true
}
]
}{
"error": "<string>"
}Secrets
Get secret tree
Token scope: account · org · project — read-only tokens allowed.
Secret inventory (names only) as project→branch→service→secrets. Gated — secrets.read.
GET
/
projects
/
{projectId}
/
secrets
/
tree
Get secret tree
